Subject: Re: bug#59970: BUG: install with package.el on emacs-29.0.60 requires manual editing of hyperbole-autoloads.el to make autoloading work

From: Robert Weiner <[email-masked]>
Date: Sun, 11 Dec 2022 12:33:56 -0500

Presently the elpa config does not allow us to ship the autoloads file as we would like; instead it is built by elpa rather than being a part if the distributions we make.  Maybe it could be added to tar distributions that won’t be used by a package manager.

Did you get it working?

— Bob

> On Dec 11, 2022, at 11:51 AM, [email-masked] wrote:
> 
> Hello,
> 
> I have been very sufficiently impressed by the three Hyperbole presentations  at Emacsconf to invest some time trying to install Hyperbole despite a message saying that Emacs failed to load hact after its installation from the package.el's description of Hyperbole.
> 
> I noticed that hyperbole-autoloads.el does not add the Hyperbole installation directory to load-path, so I edited hyperbole-autoloads.el as shown in the attached patch.
> 
> After checking, I also think that the tar files downloaded from https://elpa.gnu.org/packages/ do not contain XXX-autoloads.el to let package.el installation process generate those files, but I am not a package.el expert.
> 
> Best regards -- Gerard
> <work-around-package-el-hyperbole-autoloads.patch>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole